# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name citeproc-hs

# common part of summary for all the subpackages
%global common_summary Haskell Citation Style Language library

# main description used for all the subpackages
%global common_description citeproc-hs is a library for rendering bibliographic reference citations\
into a variety of styles using a macro language called\
Citation Style Language (CSL): http://citationstyles.org/.

# Haskell library dependencies (used for buildrequires and devel/prof subpkg requires)
%global ghc_pkg_deps ghc-json-devel, ghc-mtl-devel, ghc-pandoc-types-devel, ghc-parsec-devel, ghc-syb-devel, ghc-utf8-string-devel, ghc-xml-devel

Name:           ghc-%{pkg_name}
Version:        0.3.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc, ghc-doc, ghc-prof
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

echo %{_datadir}/%{pkg_name}-%{version} >> ghc-citeproc-hs%{?ghc_without_shared:-devel}.files

# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-citeproc-hs{,devel,prof}.files
%ghc_lib_package


%changelog
* Tue May 24 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-2
- fix rpmlint for macro in comment

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- BSD license
- long list of deps

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
